## qelectrotech 0.8.0

=== CMakeLists.txt ===
# Copyright 2006 The QElectroTech Team
# This file is part of QElectroTech.
#
# QElectroTech is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# QElectroTech is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with QElectroTech. If not, see <http://www.gnu.org/licenses/>.

include(cmake/hoto_update_cmake_message.cmake)

cmake_minimum_required(VERSION 3.14...3.19 FATAL_ERROR)

project(qelectrotech
  VERSION 0.8.0
  DESCRIPTION "QET is a CAD/CAE editor focusing on schematics drawing features."
  HOMEPAGE_URL "https://qelectrotech.org/"
  LANGUAGES CXX)

include(cmake/copyright_message.cmake)

set(QET_DIR ${PROJECT_SOURCE_DIR})

# Add sub directories
option(PACKAGE_TESTS "Build the tests" ON)
if(PACKAGE_TESTS)
  message("Add sub directorie tests")
  add_subdirectory(tests)
endif()

include(cmake/paths_compilation_installation.cmake)
include(cmake/start_options.cmake)
include(cmake/developer_options.cmake)
include(cmake/git_update_submodules.cmake)
include(cmake/git_last_commit_sha.cmake)
include(cmake/fetch_kdeaddons.cmake)
include(cmake/fetch_singleapplication.cmake)
include(cmake/fetch_pugixml.cmake)
include(cmake/qet_compilation_vars.cmake)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

SET(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(
  QT
 NAMES
  Qt6
  Qt5
 COMPONENTS
  ${QET_COMPONENTS}
 REQUIRED
 )

find_package(
  Qt${QT_VERSION_MAJOR}
 COMPONENTS
 ${QET_COMPONENTS}
 REQUIRED)

set(CMAKE_AUTOUIC_SEARCH_PATHS ${QET_DIR}/sources/ui)
qt5_create_translation(QM_FILES ${CMAKE_SOURCE_DIR} ${TS_FILES})
set_source_files_properties(${TS_FILES} PROPERTIES OUTPUT_LOCATION "${QET_DIR}/lang")
qt5_add_translation(QM_FILES ${TS_FILES})

# als laatse
include(cmake/define_definitions.cmake)

add_executable(
  ${PROJECT_NAME}
  ${QET_RES_FILES}
  ${QET_SRC_FILES}
  ${QM_FILES}
  ${QET_DIR}/qelectrotech.qrc
  )

target_link_libraries(
  ${PROJECT_NAME}
  PUBLIC
  PRIVATE
  pugixml::pugixml
  SingleApplication::SingleApplication
  ${KF5_PRIVATE_LIBRARIES}
  ${QET_PRIVATE_LIBRARIES}
  )

target_include_directories(
  ${PROJECT_NAME}
  PRIVATE
  ${QET_DIR}/sources/titleblock
  ${QET_DIR}/sources/ui
  ${QET_DIR}/sources/qetgraphicsitem
  ${QET_DIR}/sources/qetgraphicsitem/ViewItem
  ${QET_DIR}/sources/qetgraphicsitem/ViewItem/ui
  ${QET_DIR}/sources/richtext
  ${QET_DIR}/sources/factory
  ${QET_DIR}/sources/properties
  ${QET_DIR}/sources/dvevent
  ${QET_DIR}/sources/editor
  ${QET_DIR}/sources/editor/esevent
  ${QET_DIR}/sources/editor/graphicspart
  ${QET_DIR}/sources/editor/ui
  ${QET_DIR}/sources/editor/UndoCommand
  ${QET_DIR}/sources/undocommand
  ${QET_DIR}/sources/diagramevent
  ${QET_DIR}/sources/ElementsCollection
  ${QET_DIR}/sources/ElementsCollection/ui
  ${QET_DIR}/sources/autoNum
  ${QET_DIR}/sources/autoNum/ui
  ${QET_DIR}/sources/ui/configpage
  ${QET_DIR}/sources/SearchAndReplace
  ${QET_DIR}/sources/SearchAndReplace/ui
  ${QET_DIR}/sources/NameList
  ${QET_DIR}/sources/NameList/ui
  ${QET_DIR}/sources/utils
  ${QET_DIR}/sources/pugixml
  ${QET_DIR}/sources/dataBase
  ${QET_DIR}/sources/dataBase/ui
  ${QET_DIR}/sources/factory/ui
  ${QET_DIR}/sources/print
  )

=== tests/CMakeLists.txt ===
# Copyright 2006 The QElectroTech Team
# This file is part of QElectroTech.
#
# QElectroTech is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# QElectroTech is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with QElectroTech. If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.5)

message(".____________________________________________________________________")
project(unittests LANGUAGES CXX)

message(". PROJECT_NAME              :" ${PROJECT_NAME})
message(". PROJECT_SOURCE_DIR        :" ${PROJECT_SOURCE_DIR})

# Add sub directories
message(". Add sub directorie catch")
add_subdirectory(catch)
message(". Add sub directorie googletest")
add_subdirectory(googletest)
message(". Add sub directorie googlemock")
add_subdirectory(googlemock)
message(". Add sub directorie qttest")
add_subdirectory(qttest)

=== tests/catch/CMakeLists.txt ===
# Copyright 2006 The QElectroTech Team
# This file is part of QElectroTech.
#
# QElectroTech is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# QElectroTech is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with QElectroTech. If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.5)

message("..___________________________________________________________________")

project(C_unittests LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

SET(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

message(".. PROJECT_NAME              :" ${PROJECT_NAME})
message(".. PROJECT_SOURCE_DIR        :" ${PROJECT_SOURCE_DIR})
if(NOT DEFINED QET_DIR)
  set(QET_DIR "../..")
  message(".. QET_DIR is not set, assuming QET is ../..")
endif()
message(".. QET_DIR                   :" ${QET_DIR})
if(NOT DEFINED QET_COMPONENTS)
  message(".. QET_COMPONENTS is not set !!! I set them up !!!")
  include(../../cmake/qet_compilation_vars.cmake)
endif()
if(NOT DEFINED QT_VERSION_MAJOR)
  find_package(
    QT
   NAMES
    Qt6
    Qt5
   COMPONENTS
    ${QET_COMPONENTS}
   REQUIRED
   )
endif()
message(".. QT_VERSION_MAJOR   :" ${QT_VERSION_MAJOR})

find_package(
  Qt${QT_VERSION_MAJOR}
 COMPONENTS
 ${QET_COMPONENTS}
 REQUIRED)

Include(FetchContent)

FetchContent_Declare(
  Catch2
  GIT_REPOSITORY https://github.com/catchorg/Catch2.git
  GIT_TAG        v2.13.1)

FetchContent_MakeAvailable(Catch2)

include(../../cmake/fetch_kdeaddons.cmake)
include(../../cmake/fetch_singleapplication.cmake)
include(../../cmake/fetch_pugixml.cmake)

enable_testing()

add_executable(
    ${PROJECT_NAME}
    tst_My_test.cpp
    src/borderproperties_test.cpp
    main.cpp
    ${QET_DIR}/sources/borderproperties.cpp
    ${QET_DIR}/sources/borderproperties.h
    )

target_link_libraries(
    ${PROJECT_NAME}
    PUBLIC
    Catch2::Catch2
    PRIVATE
    ${KF5_PRIVATE_LIBRARIES}
    ${QET_PRIVATE_LIBRARIES})

if (DEFINED ENV{CATCH_INCLUDE_DIR})
    set(CATCH_INCLUDE_DIR $ENV{CATCH_INCLUDE_DIR})
else ()
    set(CATCH_INCLUDE_DIR "") # set by Qt Creator wizard
endif ()
if (CATCH_INCLUDE_DIR STREQUAL "")
    message(".. CATCH_INCLUDE_DIR is not set,"
      "assuming Catch2 can be found automatically in your system")
elseif (EXISTS ${CATCH_INCLUDE_DIR})
    include_directories(${CATCH_INCLUDE_DIR})
endif ()

=== tests/googletest/CMakeLists.txt ===
# Copyright 2006 The QElectroTech Team
# This file is part of QElectroTech.
#
# QElectroTech is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# QElectroTech is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with QElectroTech. If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.5)

message("..___________________________________________________________________")

project(G_unittests LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

SET(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

message(".. PROJECT_NAME              :" ${PROJECT_NAME})
message(".. PROJECT_SOURCE_DIR        :" ${PROJECT_SOURCE_DIR})
if(NOT DEFINED QET_DIR)
  set(QET_DIR "../..")
  message(".. QET_DIR is not set, assuming QET is ../..")
endif()
message(".. QET_DIR                   :" ${QET_DIR})
if(NOT DEFINED QET_COMPONENTS)
  message(".. QET_COMPONENTS is not set !!! I set them up !!!")
  include(../../cmake/qet_compilation_vars.cmake)
endif()
if(NOT DEFINED QT_VERSION_MAJOR)
  find_package(
    QT
   NAMES
    Qt6
    Qt5
   COMPONENTS
    ${QET_COMPONENTS}
   REQUIRED
   )
endif()
message(".. QT_VERSION_MAJOR          :" ${QT_VERSION_MAJOR})

find_package(
  Qt${QT_VERSION_MAJOR}
 COMPONENTS
 ${QET_COMPONENTS}
 REQUIRED)

Include(FetchContent)

FetchContent_Declare(
  GTest
  GIT_REPOSITORY https://github.com/google/googletest.git
  GIT_TAG        release-1.10.0)

FetchContent_MakeAvailable(GTest)

include(../../cmake/fetch_kdeaddons.cmake)
include(../../cmake/fetch_singleapplication.cmake)
include(../../cmake/fetch_pugixml.cmake)

enable_testing()

add_executable(
    ${PROJECT_NAME}
    tst_My_test.cpp
    main.cpp
    )
target_link_libraries(
    ${PROJECT_NAME}
    PUBLIC
    gtest gtest_main
    PRIVATE
    ${KF5_PRIVATE_LIBRARIES}
    ${QET_PRIVATE_LIBRARIES})

## qelectrotech 0.2+svn716

=== debian/changelog ===
qelectrotech (0.2+svn716-3) unstable; urgency=low

  * Switch to the new source package formats "3.0 (quilt)".
  * Use DEB_BUILD_OPTIONS to chose the number of building processes.
  * Allow Debian Maintainers uploads.
  * Change package section to electronics.

 -- Denis Briand <denis@narcan.fr>  Thu, 12 Nov 2009 13:54:52 +0100

qelectrotech (0.2+svn716-2) unstable; urgency=low

  * Fix FTBFS on armel architecture.
    Thanks to Xavier Guerrin for his patch.
  * Use the patch tagging guidelines.
  * Improve build time on i386 and amd64 multi CPU.
  * Bump Standards-Version to 3.8.3.
  * Add debian/README.source referring to /usr/share/doc/quilt/README.source

 -- Denis Briand <denis@narcan.fr>  Wed, 09 Sep 2009 14:47:11 +0200

qelectrotech (0.2+svn716-1) unstable; urgency=low

  [Laurent Trinques]
  * Initial release (Closes: #456575)

 -- Denis Briand <denis@narcan.fr>  Tue, 30 Jun 2009 14:44:00 +0200

=== debian/control ===
Source: qelectrotech
Section: electronics
Priority: optional
Maintainer: laurent trinques <5c04pi0810@gmail.com>
Uploaders: Denis Briand <denis@narcan.fr>
DM-Upload-Allowed: yes
Build-Depends: cdbs, debhelper (>= 7), libqt4-dev, quilt (>= 0.40)
Standards-Version: 3.8.3
Homepage: http://qelectrotech.org/

Package: qelectrotech
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: qelectrotech-examples (= ${source:Version}), qelectrotech-data (= ${source:Version})
Description: Electric schematic editor
 QElectroTech is a Qt4 application written in C++ .
 This program is helps you to design electric schematics.
 It includes both a schematic editor and a symbol editor.
 It uses XML files to store the produced contents.



Package: qelectrotech-data
Architecture: all
Depends: ${misc:Depends}
Recommends: qelectrotech (= ${source:Version})
Description: symbols needed for qelectrotech
 QElectroTech is a Qt4 application written in C++ .
 This program is helps you to design electric schematics.
 It includes both a schematic editor and a symbol editor.
 It uses XML files to store the produced contents.
 .
 This package provide symbols needed for qelectrotech.


Package: qelectrotech-examples
Architecture: all
Depends: ${misc:Depends}
Recommends: qelectrotech (= ${source:Version})
Conflicts: qelectrotech-doc
Description: examples files for qelectrotech
 QElectroTech is a Qt4 application written in C++ .
 This program is helps you to design electric schematics.
 It includes both a schematic editor and a symbol editor.
 It uses XML files to store the produced contents.
 .
 This package provide examples files for qeletrotech.

## qelectrotech 0.4

=== debian/changelog ===
qelectrotech (1:0.4-2) unstable; urgency=low

  * Upload from experimental to unstable.
  * Enable the hardening flags.

 -- Denis Briand <debian@denis-briand.fr>  Mon, 27 Apr 2015 12:04:11 +0200

qelectrotech (1:0.4-1) experimental; urgency=low

  [Laurent Trinques]
  * Add a new 01_pro.diff patch to fix path issue (Closes: #779289).

  [Denis Briand]
  * Update upstream version number to the pristine tar.
      (Upstream will no longer provide specific debian tarball)
  * Bump package version to 1:* (0.4 is lower than 0.40)

 -- Denis Briand <debian@denis-briand.fr>  Thu, 05 Mar 2015 11:19:41 +0100

qelectrotech (0.40-1) experimental; urgency=low

  * New upstream version.
    + Closes: #625906
    + Closes: #652684
    + Closes: #749158
    + Closes: #634079
  * Bump standards to 3.9.6.
  * Update Denis Briand's E-mail.
  * Update Laurent trinques's E-mail.
  * Add libqt4-help in Recommends.
  * Override debian-watch-may-check-gpg-signature lintian warning.
      Upstream doesn't provide gpg signature.
  * Update debian/copyright file to DEP5 machine-readable format.
  * Add strangeplanet icons copyright into debian/copyright file.
  * Remove 02_desktop.diff and 03_qet.diff merged patchs.
  * Remove deprecated 01_pro.diff patch to fix FTBFS if it build twice in a row.
  * Improve debian/watch file to scan the pristine upstream repository.
  * Override spelling-error-in-binary lintian warning.
      There isn't any spelling error. Its french and english technical jargon
  * Add sources/richtext/* copyright into debian/copyright file.

 -- Denis Briand <debian@denis-briand.fr>  Wed, 18 Feb 2015 15:34:41 +0100

qelectrotech (0.22+svn897-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * misc/x-qet-{element, project}.xml:
   - Don't ship in package as they should be managed by
     update-mime-database (Closes: #771134).
  * debian/patches/02_desktop.diff:
   - Allow filenames to be passed as parameters so MIME
     association actually works.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Sun, 30 Nov 2014 21:03:41 -0500

qelectrotech (0.22+svn897-1) unstable; urgency=low

  [Laurent Trinques]
  * New stable release (Closes: #573091)
  * Refresh copyright for new icons
  * Add new translate man
  * Remove 03_qet.diff quilt patch
  * Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).

  [Denis Briand]
  * Remove quilt build dependency.
  * Remove debian/README.source

 -- Denis Briand <denis@narcan.fr>  Mon, 15 Mar 2010 09:39:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: qelectrotech
 Section: electronics
 Priority: optional
-Maintainer: laurent trinques <5c04pi0810@gmail.com>
-Uploaders: Denis Briand <denis@narcan.fr>
-DM-Upload-Allowed: yes
-Build-Depends: cdbs, debhelper (>= 7), libqt4-dev, quilt (>= 0.40)
-Standards-Version: 3.8.3
-Homepage: http://qelectrotech.org/
+Maintainer: laurent trinques <scorpio@qelectrotech.org>
+Uploaders: Denis Briand <debian@denis-briand.fr>
+Build-Depends: cdbs (>= 0.4.89) , debhelper (>= 9), libqt4-dev, quilt (>= 0.48)
+Standards-Version: 3.9.6
+Homepage: http://qelectrotech.org
+Vcs-Git: git://git.tuxfamily.org/gitroot/qet/debian.git
+Vcs-Browser: http://git.tuxfamily.org/qet/debian.git
 
 Package: qelectrotech
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: qelectrotech-examples (= ${source:Version}), qelectrotech-data (= ${source:Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite
+Recommends: qelectrotech-examples (= ${source:Version}), qelectrotech-data (= ${source:Version}), libqt4-help
 Description: Electric schematic editor
  QElectroTech is a Qt4 application written in C++ .
  This program is helps you to design electric schematics.
  It includes both a schematic editor and a symbol editor.
  It uses XML files to store the produced contents.
-
-
 
 Package: qelectrotech-data
 Architecture: all
@@ -32,7 +31,6 @@
  .
  This package provide symbols needed for qelectrotech.
 
-
 Package: qelectrotech-examples
 Architecture: all
 Depends: ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

#enable the hardening flags
#FIXME enable hardening make an empty elements collection
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk
include /usr/share/cdbs/1/rules/utils.mk

QMAKE=qmake-qt4


#use building with n parallel processes with DEB_BUILD_OPTIONS=parallel=n
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

clean::
	rm -rf release
	rm -rf debug
#	./man/uncompress_man_pages.sh

## qelectrotech 0.5

=== debian/changelog ===
qelectrotech (1:0.5-2) unstable; urgency=medium

  * Add libqt5printsupport5 to recommends.
  * Bump standards to 3.9.8

 -- Denis Briand <debian@denis-briand.fr>  Tue, 26 Apr 2016 21:43:59 +0200

qelectrotech (1:0.5-1) unstable; urgency=low

  * New upstream version using Qt5
  * Override dep5-copyright-license-name-not-unique false positive.
      Same license but another copyright for other files... (see #803634)
  * Laurent Trinques is now co-maintainer and Denis Briand is maintainer
      (thanks to Laurent)
  * Remove debian/menu file. Upstream provides a .desktop file.
      (see #741573)

 -- Denis Briand <debian@denis-briand.fr>  Fri, 27 Nov 2015 23:52:59 +0100

=== debian/control ===
Source: qelectrotech
Section: electronics
Priority: optional
Maintainer: Denis Briand <debian@denis-briand.fr>
Uploaders: laurent trinques <scorpio@qelectrotech.org>
Build-Depends: cdbs (>= 0.4.89) , debhelper (>= 9), qtbase5-dev, quilt, qt5-qmake, libqt5svg5-dev
Standards-Version: 3.9.8
Homepage: http://qelectrotech.org
Vcs-Git: git://git.tuxfamily.org/gitroot/qet/debian.git
Vcs-Browser: http://git.tuxfamily.org/qet/debian.git

Package: qelectrotech
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite
Recommends: qelectrotech-examples (= ${source:Version}), qelectrotech-data (= ${source:Version}), qttranslations5-l10n, libqt5printsupport5
Description: Electric schematic editor
 QElectroTech is a Qt5 application written in C++ .
 This program is helps you to design electric schematics.
 It includes both a schematic editor and a symbol editor.
 It uses XML files to store the produced contents.

Package: qelectrotech-data
Architecture: all
Depends: ${misc:Depends}
Recommends: qelectrotech (= ${source:Version})
Description: symbols needed for qelectrotech
 QElectroTech is a Qt5 application written in C++ .
 This program is helps you to design electric schematics.
 It includes both a schematic editor and a symbol editor.
 It uses XML files to store the produced contents.
 .
 This package provide symbols needed for qelectrotech.

Package: qelectrotech-examples
Architecture: all
Depends: ${misc:Depends}
Recommends: qelectrotech (= ${source:Version})
Conflicts: qelectrotech-doc
Description: examples files for qelectrotech
 QElectroTech is a Qt5 application written in C++ .
 This program is helps you to design electric schematics.
 It includes both a schematic editor and a symbol editor.
 It uses XML files to store the produced contents.
 .
 This package provide examples files for qeletrotech.

=== debian/watch ===
version=3
http://download.tuxfamily.org/qet/tags/(\d\d\d\d\d\d\d\d)/qelectrotech-(\d\S*)-src\.tar\.gz

## qelectrotech 0.6.1

=== debian/changelog ===
qelectrotech (1:0.6.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- W. Martin Borgert <debacle@debian.org>  Fri, 02 Nov 2018 09:43:33 +0000

qelectrotech (1:0.6.1-1) unstable; urgency=low

  * Team upload.
  * Use debhelper 11 instead of CDBS.
  * Use DEP-14 style git repo.

  [ Laurent trinques ]
  * Remove libs detected automatically from depends.
  * Remove libqt5printsupport5 from recommends.

  [ Denis Briand ]
  * New upstream release (Closes: #888418).
  * Change homepage URI from http to https in debian/control file.
  * Change Vcs-Git URI from git to https in debian/control file.
  * Remove deprecated mimelnk files (Closes: #875519).
  * Bump standards version to 4.1.3
  * Change debian watch URI into https.
  * Refresh qelectrotech.pro patch.
  * Update qelectrotech.install (Use breeze-icons instead of oxygen-icons).
  * Fix FTCBFS: Let dh_auto_configure pass cross flags to qmake.
    Thanks to Helmut Grohne (Closes: #888159).
  * Add LGPL-3 license in debian/copyright for ico/breeze-icons files.
  * Remove these files in debian/copyright they are no longer in the package:
    + ico/oxygen-icons/*
    + ico/oxygen-icons/scalable/mimetypes/hidef/application-x-qet-project.svgz
    + ico/16x16/item_cancel.png
    + ico/16x16/item_copy.png
    + ico/16x16/item_move.png
  * Improve debian/copyright layout.
  * List each spelling error in lintian binary overrides.
  * Fix some spelling errors in binary.
  * Remove dep5-copyright-license-name-not-unique lintian source overrides.
  * Switch debian/copyright header URIs to https
  * Update Source URI in debian/copyright.
  * Rename lintian override name:
    debian-watch-may-check-gpg-signature
    in debian-watch-does-not-check-gpg-signature
  * Bump debhelper compat to 10
  * Remove quilt build dependency (use dpkg-source's embedded functionality)
  * Improve package description and fix english errors in debian/control
  * Git repository migration on salsa.
  * Join the Debian Science Team and update maintainer field.

 -- W. Martin Borgert <debacle@debian.org>  Mon, 01 Oct 2018 20:31:48 +0000

=== debian/control ===
Source: qelectrotech
Section: electronics
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Denis Briand <debian@denis-briand.fr>,
           Laurent Trinques <scorpio@qelectrotech.org>
Build-Depends: debhelper (>= 10),
               libqt5svg5-dev,
               qt5-qmake,
               qtbase5-dev
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: https://qelectrotech.org
Vcs-Git: https://salsa.debian.org/science-team/qelectrotech.git
Vcs-Browser: https://salsa.debian.org/science-team/qelectrotech

Package: qelectrotech
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: qelectrotech-data (= ${source:Version}),
            qelectrotech-examples (= ${source:Version}),
            qttranslations5-l10n
Description: Electric schematic editor
 QElectroTech is a Qt5 application written in C++ .
 This program helps you to design electrical schematic diagrams.
 It includes a schematic editor and a symbol editor.
 It uses XML files to store the produced contents.

Package: qelectrotech-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: qelectrotech (= ${source:Version})
Description: symbols needed for qelectrotech
 QElectroTech is a Qt5 application written in C++ .
 This program helps you to design electrical schematic diagrams.
 It includes a schematic editor and a symbol editor.
 It uses XML files to store the produced contents.
 .
 This package provide symbols needed for qelectrotech.

Package: qelectrotech-examples
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: qelectrotech (= ${source:Version})
Conflicts: qelectrotech-doc
Description: examples files for qelectrotech
 QElectroTech is a Qt5 application written in C++ .
 This program helps you to design electrical schematic diagrams.
 It includes a schematic editor and a symbol editor.
 It uses XML files to store the produced contents.
 .
 This package provide examples files for qeletrotech.

## qelectrotech 0.7.0~rc2

=== debian/changelog ===
qelectrotech (1:0.7.0~rc2-1) experimental; urgency=medium

  * Team upload.
  * New upstream version: release candidate 2.

 -- W. Martin Borgert <debacle@debian.org>  Sat, 06 Jul 2019 20:03:39 +0000

qelectrotech (1:0.7.0~rc1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version: release candidate 1 (Closes: #929533).

 -- W. Martin Borgert <debacle@debian.org>  Sat, 08 Jun 2019 09:11:38 +0000

## qelectrotech 0.7.0

=== debian/changelog ===
qelectrotech (1:0.7.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:55:05 +0100

qelectrotech (1:0.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 12 Sep 2019 20:18:22 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Denis Briand <debian@denis-briand.fr>,
            Laurent Trinques <scorpio@qelectrotech.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
+               libkf5coreaddons-dev,
+               libkf5widgetsaddons-dev,
                libqt5svg5-dev,
                qt5-qmake,
                qtbase5-dev

=== debian/watch ===
version=3
https://download.tuxfamily.org/qet/tags/(\d\d\d\d\d\d\d\d)/qelectrotech-(\d\S*)-src\.tar\.gz

## qelectrotech 0.8.0

=== debian/changelog ===
qelectrotech (1:0.8.0-3) unstable; urgency=medium

  * Team upload.
  * Re-upload to unstable.

 -- Martin <debacle@debian.org>  Tue, 17 Aug 2021 21:48:20 +0000

qelectrotech (1:0.8.0-2) experimental; urgency=medium

  * Team upload.
  * Fix qelectrotech.install/not-installed (Closes: #985167).
  * Fix some irregularities with coding and language in elements.

 -- Martin <debacle@debian.org>  Sun, 14 Mar 2021 13:03:56 +0000

qelectrotech (1:0.8.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Martin <debacle@debian.org>  Fri, 12 Mar 2021 00:35:53 +0000

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export QT_SELECT=qt5

%:
	dh $@ --buildsystem=qmake

override_dh_clean:
	dh_clean
	rm -rf debug/ release/

## qelectrotech 0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 cmake_minimum_required(VERSION 3.14...3.19 FATAL_ERROR)
 
 project(qelectrotech
-  VERSION 0.8.0
+  VERSION 0.9.0
   DESCRIPTION "QET is a CAD/CAE editor focusing on schematics drawing features."
   HOMEPAGE_URL "https://qelectrotech.org/"
   LANGUAGES CXX)
@@ -31,7 +31,7 @@
 # Add sub directories
 option(PACKAGE_TESTS "Build the tests" ON)
 if(PACKAGE_TESTS)
-  message("Add sub directorie tests")
+  message("Add sub directory tests")
   add_subdirectory(tests)
 endif()
 
@@ -131,3 +131,24 @@
   ${QET_DIR}/sources/factory/ui
   ${QET_DIR}/sources/print
   )
+
+install(TARGETS ${PROJECT_NAME})
+if (NOT MINGW)
+
+install(DIRECTORY ico/breeze-icons/16x16 DESTINATION ${QET_ICONS_PATH})
+install(DIRECTORY ico/breeze-icons/22x22 DESTINATION ${QET_ICONS_PATH})
+install(DIRECTORY ico/breeze-icons/32x32 DESTINATION ${QET_ICONS_PATH})
+install(DIRECTORY ico/breeze-icons/48x48 DESTINATION ${QET_ICONS_PATH})
+install(DIRECTORY ico/breeze-icons/64x64 DESTINATION ${QET_ICONS_PATH})
+install(DIRECTORY ico/breeze-icons/128x128 DESTINATION ${QET_ICONS_PATH})
+install(DIRECTORY ico/breeze-icons/256x256 DESTINATION ${QET_ICONS_PATH})
+install(DIRECTORY elements DESTINATION share/qelectrotech)
+install(DIRECTORY examples DESTINATION share/qelectrotech)
+install(DIRECTORY titleblocks DESTINATION share/qelectrotech)
+install(FILES LICENSE ELEMENTS.LICENSE CREDIT README ChangeLog DESTINATION share/doc/qelectrotech)
+install(FILES misc/qelectrotech.desktop DESTINATION share/applications)
+install(FILES misc/qelectrotech.xml DESTINATION share/mime/packages)
+install(FILES misc/qelectrotech.appdata.xml DESTINATION ${QET_APPDATA_PATH})
+install(FILES ${QM_FILES} DESTINATION ${QET_LANG_PATH})
+
+endif()

=== tests/googlemock/CMakeLists.txt ===
# Copyright 2006 The QElectroTech Team
# This file is part of QElectroTech.
#
# QElectroTech is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# QElectroTech is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with QElectroTech. If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.5)

message("..___________________________________________________________________")

project(G_unitmocktests LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

SET(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

message(".. PROJECT_NAME              :" ${PROJECT_NAME})
message(".. PROJECT_SOURCE_DIR        :" ${PROJECT_SOURCE_DIR})
if(NOT DEFINED QET_DIR)
  set(QET_DIR "../..")
  message(".. QET_DIR is not set, assuming QET is ../..")
endif()
message(".. QET_DIR                   :" ${QET_DIR})
if(NOT DEFINED QET_COMPONENTS)
  message(".. QET_COMPONENTS is not set !!! I set them up !!!")
  include(../../cmake/qet_compilation_vars.cmake)
endif()
if(NOT DEFINED QT_VERSION_MAJOR)
  find_package(
    QT
   NAMES
    Qt6
    Qt5
   COMPONENTS
    ${QET_COMPONENTS}
   REQUIRED
   )
endif()
message(".. QT_VERSION_MAJOR          :" ${QT_VERSION_MAJOR})

find_package(
  Qt${QT_VERSION_MAJOR}
 COMPONENTS
 ${QET_COMPONENTS}
 REQUIRED)

Include(FetchContent)

FetchContent_Declare(
  GTest
  GIT_REPOSITORY https://github.com/google/googletest.git
  GIT_TAG        release-1.10.0)

FetchContent_MakeAvailable(GTest)

include(../../cmake/fetch_kdeaddons.cmake)
include(../../cmake/fetch_singleapplication.cmake)
include(../../cmake/fetch_pugixml.cmake)

enable_testing()

add_executable(
    ${PROJECT_NAME}
    tst_My_test.cpp
    main.cpp
    )

target_link_libraries(
    ${PROJECT_NAME}
    PUBLIC
    gmock gmock_main
    PRIVATE
    ${KF5_PRIVATE_LIBRARIES}
    ${QET_PRIVATE_LIBRARIES})

=== tests/qttest/CMakeLists.txt ===
# Copyright 2006 The QElectroTech Team
# This file is part of QElectroTech.
#
# QElectroTech is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# QElectroTech is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with QElectroTech. If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.5)

message("..___________________________________________________________________")

project(qt_unittests LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

SET(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

message(".. PROJECT_NAME              :" ${PROJECT_NAME})
message(".. PROJECT_SOURCE_DIR        :" ${PROJECT_SOURCE_DIR})
if(NOT DEFINED QET_DIR)
  set(QET_DIR "../..")
  message(".. QET_DIR is not set, assuming QET is ../..")
endif()
message(".. QET_DIR                   :" ${QET_DIR})
if(NOT DEFINED QET_COMPONENTS)
  message(".. QET_COMPONENTS is not set !!! I set them up !!!")
  include(../../cmake/qet_compilation_vars.cmake)
endif()
if(NOT DEFINED QT_VERSION_MAJOR)
  find_package(
    QT
   NAMES
    Qt6
    Qt5
   COMPONENTS
    ${QET_COMPONENTS}
    Test
   REQUIRED
   )
endif()
message(".. QT_VERSION_MAJOR          :" ${QT_VERSION_MAJOR})

find_package(
  Qt${QT_VERSION_MAJOR}
 COMPONENTS
 ${QET_COMPONENTS}
 Test
 REQUIRED)

include(../../cmake/fetch_kdeaddons.cmake)
include(../../cmake/fetch_singleapplication.cmake)
include(../../cmake/fetch_pugixml.cmake)

enable_testing()

add_executable(${PROJECT_NAME} tst_mytest.cpp)
add_test(NAME ${PROJECT_NAME} COMMAND ${PROJECT_NAME})

target_link_libraries(
  ${PROJECT_NAME}
  PRIVATE
  Qt::Test
  ${KF5_PRIVATE_LIBRARIES}
  ${QET_PRIVATE_LIBRARIES})

=== debian/changelog ===
qelectrotech (1:0.9-3) unstable; urgency=medium

  * Team upload.
  * d/copyright: Replace Source field.
  * Remove vendored Build-Depends which turned non-free upstream.
  * Remove Denis from Uploaders. (Closes: #929592)

 -- Bastian Germann <bage@debian.org>  Mon, 17 Mar 2025 16:00:30 +0100

qelectrotech (1:0.9-2) unstable; urgency=medium

  * Team upload.
  * Fix debian/watch.

 -- Martin <debacle@debian.org>  Fri, 03 Mar 2023 03:04:08 +0000

qelectrotech (1:0.9-1) unstable; urgency=medium

  * New upstream release.
  * Update patches.

 -- Martin <debacle@debian.org>  Fri, 06 Jan 2023 19:49:02 +0000

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,21 @@
 Section: electronics
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Denis Briand <debian@denis-briand.fr>,
+Uploaders:
            Laurent Trinques <scorpio@qelectrotech.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
+               catch2,
+               googletest,
                libkf5coreaddons-dev,
                libkf5widgetsaddons-dev,
+               libpugixml-dev,
                libqt5svg5-dev,
+               libsqlite3-dev,
+               pkgconf,
                qt5-qmake,
-               qtbase5-dev
-Standards-Version: 4.1.3
+               qtbase5-dev,
+               qttools5-dev,
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://qelectrotech.org
 Vcs-Git: https://salsa.debian.org/science-team/qelectrotech.git
@@ -26,7 +32,7 @@
 Description: Electric schematic editor
  QElectroTech is a Qt5 application written in C++ .
  This program helps you to design electrical schematic diagrams.
- It includes a schematic editor and a symbol editor.
+ It includes a schematic editor, an element editor, and a titleblock editor.
  It uses XML files to store the produced contents.
 
 Package: qelectrotech-data
@@ -37,7 +43,7 @@
 Description: symbols needed for qelectrotech
  QElectroTech is a Qt5 application written in C++ .
  This program helps you to design electrical schematic diagrams.
- It includes a schematic editor and a symbol editor.
+ It includes a schematic editor, an element editor, and a titleblock editor.
  It uses XML files to store the produced contents.
  .
  This package provide symbols needed for qelectrotech.
@@ -51,7 +57,7 @@
 Description: examples files for qelectrotech
  QElectroTech is a Qt5 application written in C++ .
  This program helps you to design electrical schematic diagrams.
- It includes a schematic editor and a symbol editor.
+ It includes a schematic editor, an element editor, and a titleblock editor.
  It uses XML files to store the produced contents.
  .
  This package provide examples files for qeletrotech.

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, compression=gzip, \
  uversionmangle=s/^(0.11|0.2[12]|0.61|0.70rc[12])$/0/; s/-dev/~dev/" \
  https://git.tuxfamily.org/qet/qet.git refs/tags/@ANY_VERSION@

## qelectrotech 0.22+svn897

=== debian/control ===
Source: qelectrotech
Section: electronics
Priority: optional
Maintainer: laurent trinques <5c04pi0810@gmail.com>
Uploaders: Denis Briand <denis@narcan.fr>
DM-Upload-Allowed: yes
Build-Depends: cdbs, debhelper (>= 7), libqt4-dev
Standards-Version: 3.8.4
Homepage: http://qelectrotech.org/

Package: qelectrotech
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: qelectrotech-examples (= ${source:Version}), qelectrotech-data (= ${source:Version})
Description: Electric schematic editor
 QElectroTech is a Qt4 application written in C++ .
 This program is helps you to design electric schematics.
 It includes both a schematic editor and a symbol editor.
 It uses XML files to store the produced contents.



Package: qelectrotech-data
Architecture: all
Depends: ${misc:Depends}
Recommends: qelectrotech (= ${source:Version})
Description: symbols needed for qelectrotech
 QElectroTech is a Qt4 application written in C++ .
 This program is helps you to design electric schematics.
 It includes both a schematic editor and a symbol editor.
 It uses XML files to store the produced contents.
 .
 This package provide symbols needed for qelectrotech.


Package: qelectrotech-examples
Architecture: all
Depends: ${misc:Depends}
Recommends: qelectrotech (= ${source:Version})
Conflicts: qelectrotech-doc
Description: examples files for qelectrotech
 QElectroTech is a Qt4 application written in C++ .
 This program is helps you to design electric schematics.
 It includes both a schematic editor and a symbol editor.
 It uses XML files to store the produced contents.
 .
 This package provide examples files for qeletrotech.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk
include /usr/share/cdbs/1/rules/utils.mk

QMAKE=qmake-qt4
CFLAGS+=-O3
CXXFLAGS=-O3

#use building with n parallel processes with DEB_BUILD_OPTIONS=parallel=n
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

clean::
	rm -rf release
	rm -rf debug
	./man/uncompress_man_pages.sh

=== debian/watch ===
version=3
http://download.tuxfamily.org/qet/debianwatch/releases.txt http://download.tuxfamily.org/qet/debianwatch/qelectrotech-(.*)-src.tar.gz

## qelectrotech 0.100.0.r8445

=== debian/changelog ===
qelectrotech (0.100.0.r8445-1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream subversion version

 -- Laurent Trinques <scorpio@qelectrotech.org>  Mon, 28 Apr 2025 09:37:22 +0200

qelectrotech (0.70.r5574-4) stable; urgency=medium

  * Backport stable

 -- Qelectrotech <scorpio@qelectrotech.org>  Sun, 04 Nov 2018 16:37:03 +0100

qelectrotech (0.70.r5574-3) unstable; urgency=medium

  * New upstream subversion version

 -- Qelectrotech <scorpio@qelectrotech.org>  Sun, 04 Nov 2018 16:31:16 +0100

qelectrotech (0.70.r5574-2) stable; urgency=medium

  * Backport stable

 -- Qelectrotech <scorpio@qelectrotech.org>  Mon, 29 Oct 2018 16:32:29 +0100

qelectrotech (0.70.r5574-1) unstable; urgency=medium

  * New upstream subversion version

 -- Qelectrotech <scorpio@qelectrotech.org>  Mon, 29 Oct 2018 16:26:28 +0100

qelectrotech (0.70.r5571-2) stable; urgency=medium

  * Backport stable

 -- Qelectrotech <scorpio@qelectrotech.org>  Sat, 27 Oct 2018 15:50:49 +0200

qelectrotech (0.70.r5571-1) unstable; urgency=medium

  * New upstream subversion version

 -- Qelectrotech <scorpio@qelectrotech.org>  Sat, 27 Oct 2018 15:44:33 +0200

qelectrotech (0.70.r5569-2) stable; urgency=medium

  * Backport stable

 -- Qelectrotech <scorpio@qelectrotech.org>  Sat, 27 Oct 2018 02:04:21 +0200

qelectrotech (0.70.r5569-1) unstable; urgency=medium

  * New upstream subversion version

 -- Qelectrotech <scorpio@qelectrotech.org>  Sat, 27 Oct 2018 01:58:29 +0200

qelectrotech (0.70.r5565-2) stable; urgency=medium

  * Backport stable

 -- Qelectrotech <scorpio@qelectrotech.org>  Wed, 24 Oct 2018 16:18:50 +0200

qelectrotech (0.70.r5565-1) unstable; urgency=medium

  * New upstream subversion version

 -- Qelectrotech <scorpio@qelectrotech.org>  Wed, 24 Oct 2018 16:12:49 +0200

qelectrotech (0.70.r5564-2) stable; urgency=medium

  * Backport stable

 -- Qelectrotech <scorpio@qelectrotech.org>  Sun, 21 Oct 2018 12:09:03 +0200

qelectrotech (0.70.r5564-1) unstable; urgency=medium

  * New upstream subversion version

 -- Qelectrotech <scorpio@qelectrotech.org>  Sun, 21 Oct 2018 12:03:06 +0200

qelectrotech (0.70.r5563-2) stable; urgency=medium

  * Backport stable

 -- Qelectrotech <scorpio@qelectrotech.org>  Thu, 18 Oct 2018 02:56:58 +0200

qelectrotech (0.70.r5563-1) unstable; urgency=medium

  * New upstream subversion version

 -- Qelectrotech <scorpio@qelectrotech.org>  Thu, 18 Oct 2018 02:51:12 +0200

qelectrotech (0.70.r5561-2) stable; urgency=medium

  * Backport stable

 -- Qelectrotech <scorpio@qelectrotech.org>  Wed, 17 Oct 2018 07:02:47 +0200

qelectrotech (0.70.r5561-1) unstable; urgency=medium

  * New upstream subversion version

 -- Qelectrotech <scorpio@qelectrotech.org>  Wed, 17 Oct 2018 06:56:39 +0200

qelectrotech (0.70.r5560-2) stable; urgency=medium

  * Backport stable

 -- Qelectrotech <scorpio@qelectrotech.org>  Sun, 14 Oct 2018 16:02:50 +0200

qelectrotech (0.70.r5560-1) unstable; urgency=medium

  * New upstream subversion version

 -- Qelectrotech <scorpio@qelectrotech.org>  Sun, 14 Oct 2018 15:57:01 +0200

qelectrotech (0.70.r5552-2) stable; urgency=medium

  * Backport stable

 -- Qelectrotech <scorpio@qelectrotech.org>  Fri, 12 Oct 2018 00:44:43 +0200

qelectrotech (0.70.r5552-1) unstable; urgency=medium

  * New upstream subversion version

 -- Qelectrotech <scorpio@qelectrotech.org>  Fri, 12 Oct 2018 00:37:28 +0200

qelectrotech (0.70.r5548-2) stable; urgency=medium

  * Backport stable

 -- Qelectrotech <scorpio@qelectrotech.org>  Fri, 05 Oct 2018 17:03:16 +0200

qelectrotech (0.70.r5548-1) unstable; urgency=medium

  * New upstream subversion version

 -- Qelectrotech <scorpio@qelectrotech.org>  Fri, 05 Oct 2018 16:57:21 +0200

qelectrotech (0.70.r5547-2) stable; urgency=medium

  * Backport stable

 -- Qelectrotech <scorpio@qelectrotech.org>  Fri, 05 Oct 2018 07:44:39 +0200

qelectrotech (0.70.r5547-1) unstable; urgency=medium

  * New upstream subversion version

 -- Qelectrotech <scorpio@qelectrotech.org>  Fri, 05 Oct 2018 07:38:45 +0200

qelectrotech (0.70.r5542-2) stable; urgency=medium

  * Backport stable

 -- Qelectrotech <scorpio@qelectrotech.org>  Sun, 30 Sep 2018 21:51:45 +0200

qelectrotech (0.70.r5542-1) unstable; urgency=medium

  * New upstream subversion version

 -- Qelectrotech <scorpio@qelectrotech.org>  Sun, 30 Sep 2018 21:45:55 +0200

qelectrotech (0.70.r5537-2) stable; urgency=medium

  * Backport stable

 -- Qelectrotech <scorpio@qelectrotech.org>  Fri, 28 Sep 2018 20:14:35 +0200

qelectrotech (0.70.r5537-1) unstable; urgency=medium

  * New upstream subversion version

 -- Qelectrotech <scorpio@qelectrotech.org>  Fri, 28 Sep 2018 20:08:47 +0200

qelectrotech (0.70.r5534-2) stable; urgency=medium

  * Backport stable

 -- Qelectrotech <scorpio@qelectrotech.org>  Thu, 27 Sep 2018 01:41:33 +0200

qelectrotech (0.70.r5534-1) unstable; urgency=medium

  * New upstream subversion version

 -- Qelectrotech <scorpio@qelectrotech.org>  Thu, 27 Sep 2018 01:35:48 +0200

qelectrotech (0.70.r5531-2) stable; urgency=medium

  * Backport stable

 -- Qelectrotech <scorpio@qelectrotech.org>  Wed, 26 Sep 2018 19:39:51 +0200

qelectrotech (0.70.r5531-1) unstable; urgency=medium

  * New upstream subversion version

 -- Qelectrotech <scorpio@qelectrotech.org>  Wed, 26 Sep 2018 19:34:01 +0200

qelectrotech (0.70.r5526-2) stable; urgency=medium

  * Backport stable

 -- Qelectrotech <scorpio@qelectrotech.org>  Tue, 25 Sep 2018 20:53:48 +0200

qelectrotech (0.70.r5526-1) unstable; urgency=medium

  * New upstream subversion version

 -- Qelectrotech <scorpio@qelectrotech.org>  Tue, 25 Sep 2018 20:47:57 +0200

qelectrotech (0.70.r5525-2) stable; urgency=medium

  * Backport stable

 -- Qelectrotech <scorpio@qelectrotech.org>  Tue, 25 Sep 2018 15:24:49 +0200

qelectrotech (0.70.r5525-1) unstable; urgency=medium

  * New upstream subversion version

 -- Qelectrotech <scorpio@qelectrotech.org>  Tue, 25 Sep 2018 15:19:00 +0200



=== debian/control ===
Source: qelectrotech
Section: electronics
Priority: optional
Maintainer: laurent trinques <scorpio@qelectrotech.org>
Build-Depends: debhelper (>= 11),
               libqt5svg5-dev,
               qt5-qmake,
               qtbase5-dev,
               libkf5widgetsaddons-dev,
               libkf5coreaddons-dev, 
               libsqlite3-dev,
               pkgconf
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://qelectrotech.org/

Package: qelectrotech
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkf5coreaddons5, libkf5widgetsaddons5, libsqlite3-0
Recommends: qelectrotech-examples (= ${source:Version}), qelectrotech-data (= ${source:Version}), qttranslations5-l10n, mesa-utils
Description: Electric schematic editor
 QElectroTech is a Qt5 application written in C++ .
 This program helps you to design electrical schematic diagrams.
 It includes a schematic editor, an element editor and a titleblock editor.
 It uses XML files to store the produced contents.



Package: qelectrotech-data
Architecture: all
Depends: ${misc:Depends}
Recommends: qelectrotech (= ${source:Version})
Description: symbols needed for qelectrotech
 QElectroTech is a Qt5 application written in C++ .
 This program helps you to design electrical schematic diagrams.
 It includes a schematic editor, an element editor and a titleblock editor.
 It uses XML files to store the produced contents.
 This package provide symbols needed for qelectrotech.


Package: qelectrotech-examples
Architecture: all
Depends: ${misc:Depends}
Recommends: qelectrotech (= ${source:Version})
Description: examples files for qelectrotech
 QElectroTech is a Qt5 application written in C++ .
 This program helps you to design electrical schematic diagrams.
 It includes a schematic editor, an element editor and a titleblock editor.
 It uses XML files to store the produced contents.
 This package provide examples files for qeletrotech.

=== debian/watch ===
version=3
http://download.tuxfamily.org/qet/tags/(\d\d\d\d\d\d\d\d)/qelectrotech-(\d\S*)-src\.tar\.gz
